Ubuntu

No Audio in Tv Time using Ubuntu Karmic: not using pulseaudio

Reported by shiva on 2009-11-03
172
This bug affects 30 people
Affects Status Importance Assigned to Milestone
TV Time Television Viewer
Unknown
Unknown
tvtime (Ubuntu)
High
Unassigned

Bug Description

I was installed pci pinacle pctv 110i tv tuner card and configured it with tvtime. Its working fine and detecting channels.
But no sound is detected from that. please help to configure audio for my tv tuner card.
In windows XP and Vista Tv tuner card working well including audio.
It has audio problem in ubuntu karmic. plz help..

Do you have audio in other programs just not tvtime?

I have the same problem as shiva, (with a 50i,that has the same chip as the 100i). I do have sound in other programs, Rhythmbox for example. On sound preferences / hardware it appears, " SAA7131/SAA7133/SAA7135 Video Broadcast Decoder" - 1 entry - "Analog Stereo Input"

I'm not sure, but I think the 100i has a SAA7134 chip, so that's got to be the problem! However I've got no idea how to fix it!

shiva (shivanesh) wrote :

hi i have audio in other programs like movie player, but no audio in Tv time also no audio in mythTV.

on sound preferences it does not detect Tv time aplication, but does detect movie player when playing movies.

description: updated
Authentic (authentic987-ubuntu) wrote :

Confirmed: 50i and 100i have a SAA7134 chip.

Jaap Woldringh (jjh-woldringh) wrote :

I have this same problem with tvtime, after a fresh install of Ubuntu 9.10 Karmic Koala.
This problem ***did not exist*** in my previous Ubuntu, 8.04.3 and earlier versions.

The detected sound devices (in Hardware testing) are as follows:

0 [V8237 ]: VIA8237 - VIA 8237
                      VIA 8237 with CMI9761B at 0xd800, irq 22
 1 [UART ]: MPU-401 UART - MPU-401 UART
                      MPU-401 UART at 0x330, irq 10
 2 [SAA7134 ]: SAA7134 - SAA7134
                      saa7134[0] at 0xea400000 irq 17

It appears that my TV-card has the same SAA7134 chip.

To be more complete: There are no other problems with sound.

Jaap Woldringh

shiva (shivanesh) wrote :

hi i have tried this code amixer -c 0 sset CD,0 80%,80% unmute

from this thread http://ubuntuforums.org/showthread.php?p=8238477

but it states that ''amixer: Unable to find simple control 'CD',0''

http://ubuntuforums.org/showthread.php?p=8238477

so till now no sound ............

my chip is SAA7131/SAA7133/SAA7135

Do you even have a CD mixer control? See the output from
amixer/alsamixer in a Terminal.

-Temporary solution-

On Terminal:

- alsamixer

- Use arrow keys to find "Aux" and m for unmute

Ok, now you can have sound, but unmuting every time you want to watch tv, is quite annoying!

What is the base install? Ubuntu? Kubuntu? Xubuntu? Mythbuntu?

On Nov 9, 2009 4:31 PM, "Authentic" <email address hidden>
wrote:

-Temporary solution-

On Terminal:

- alsamixer

- Use arrow keys to find "Aux" and m for unmute

Ok, now you can have sound, but unmuting every time you want to watch
tv, is quite annoying!

-- NO Audio in Tv Time using Ubuntu Karmic
https://bugs.launchpad.net/bugs/472770 You received thi...

Well, I have no "AUX" in alsamixer: http://img.photobucket.com/albums/v694/unclespellbinder/Blog/alsamixer_A.png

Running Karmic Koala 32-bit (clean install, not an upgrade). This problem is quite annoying as TVTime worked fine for me in Intrepid and Jaunty. Unlike the ridiculously complicated setup of MythTV, TVTime is usually up and running in seconds. Until now. I hope a fix is around the corner.

hrvooje (hrvooje-gmail) wrote :

Here is what I did in 9.04 :

tvtime | arecord -D hw:1,0 -r 32000 -c 2 -f S16_LE | aplay -

Thanks, hrvooje. No help for me on Karmic at least. I'm pretty sure something has changed in Karmic as there was no issue for me in Intrepid or Jaunty.

shiva (shivanesh) wrote :

Hi, my situation like Uncle Spellbinder also, which is i'm running clean install Ubuntu Karmic Koala 32-bit.

and mine also dont have "AUX" in alsamixer.

not only in TVtime this problem also in Mythtv, so i remove mythtv..

still have TVTime without sound................

meredoth (giannisakr) wrote :

I had the same problem, i used:

amixer -c 0 sset Aux,0 100% 100% toggle

and now i have sound in tvtime

Glad that worked. But as stated above, me and others (as stated here and on a couple of other support forums) do not have the "Aux" option. Didn't need it before, shouldn't need it now.

Sad. This is the only thing keeping me from ditching Windows.

james (jamesm51) wrote :

Only:
tvtime | arecord -D hw:1,0 -r 32000 -c 2 -f S16_LE | aplay -

works for me. Have a wintv-hvr-950q.

Well, after installing Jaunty and Intrepid and trying TVTime on these versions, I can only come to the conclusion that either Karmic breaks TVTime or TVTime breaks Karmic. In any event, it works in the 2 previous Ubuntu versions on this computer. So something has drastically changed to cause this mess.

james (jamesm51) wrote :

I almost guarantee this is related to the switch to pulseaudio

Daniel T Chen (crimsun) wrote :

What audio output device is tvtime configured to use? Please use 'amixer' instead of screenshots; the latter is not friendly for the visually impaired.

"Please use 'amixer' instead of screenshots; the latter is not friendly for the visually impaired."

??????????????????

Download full text (4.1 KiB)

Yes. I know. I get the following...

~$ amixer
Simple mixer control 'Master',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined
  Playback channels: Mono
  Limits: Playback 0 - 31
  Mono: Playback 31 [100%] [0.00dB] [on]
Simple mixer control 'Headphone',0
  Capabilities: pswitch
  Playback channels: Front Left - Front Right
  Mono:
  Front Left: Playback [on]
  Front Right: Playback [on]
Simple mixer control 'PCM',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 255
  Mono:
  Front Left: Playback 255 [100%] [0.00dB]
  Front Right: Playback 255 [100%] [0.00dB]
Simple mixer control 'Front',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 31 [100%] [0.00dB] [on]
  Front Right: Playback 31 [100%] [0.00dB] [on]
Simple mixer control 'Front Mic',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 0 [0%] [-34.50dB] [off]
  Front Right: Playback 0 [0%] [-34.50dB] [off]
Simple mixer control 'Front Mic Boost',0
  Capabilities: volume
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 3
  Front Left: 0 [0%]
  Front Right: 0 [0%]
Simple mixer control 'Surround',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 31 [100%] [0.00dB] [on]
  Front Right: Playback 31 [100%] [0.00dB] [on]
Simple mixer control 'Center',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined
  Playback channels: Mono
  Limits: Playback 0 - 31
  Mono: Playback 31 [100%] [0.00dB] [on]
Simple mixer control 'LFE',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined
  Playback channels: Mono
  Limits: Playback 0 - 31
  Mono: Playback 31 [100%] [0.00dB] [on]
Simple mixer control 'Side',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 31 [100%] [0.00dB] [on]
  Front Right: Playback 31 [100%] [0.00dB] [on]
Simple mixer control 'Line',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 0 [0%] [-34.50dB] [off]
  Front Right: Playback 0 [0%] [-34.50dB] [off]
Simple mixer control 'Mic',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 0 [0%] [-34.50dB] [off]
  Front Right: Playback 0 [0%] [-34.50dB] [off]
Simple mixer control 'Mic Boost',0
  Capabilities: volume
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 3
  Front Left: 0 [0%]
  Front Right: 0 [0%]
Simple mixer control 'IEC958',0
  Capabilities: pswitch pswitch-joined cswitch cswitch-joined
  Playback channels: Mono
  Capture channels: Mono
  Mono: Playback [off] Capture [off]
Simple mixer control 'IEC958 Default PCM',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [on]
Simple mixer control 'Capture',0
  Cap...

Read more...

On Sat, Nov 21, 2009 at 5:38 PM, Uncle Spellbinder <email address hidden> wrote:
> I was talking aboutyour screenshot comment. What does 'amixer instead of
> screenshot" suppose to mean?

Someone who relies on text output due to being hard of seeing can't
very well parse an image, which is what a screenshot is.

james (jamesm51) on 2009-11-22
tags: added: pulseaudio

You need to create a digital loopback device like:

pactl load-module module-loopback

Then the sound should work. It did for me. Remember it is only for the current session, if you need to have it at every boot then you will need to add it to: /etc/pulse/default.pa

Not sure what that means. Is 'pactl load-module module-loopback' something to be run in terminal? And assuming it works, where in /etc/pulse/default.pa should that be entered?

Pete Graner (pgraner) wrote :

Yes you run it in a terminal.

You would add it in the /etc/pulse/default.pa anywere, end of the file would work just fine.

james (jamesm51) wrote :

That works for me.

Tried pactl load-module module-loopback in terminal. Didn't work. Added pactl load-module module-loopback to /etc/pulse/default.pa, didn't work. Then tried load-module module-loopback. Still nothing.

Daniel T Chen (crimsun) wrote :

@shiva
Presuming you're using PulseAudio, please load-module module-loopback as Pete recommends in comment #25

Changed in tvtime (Ubuntu):
status: New → Incomplete
Strategos (psamaras1) wrote :

I have the same problem and try try all suggestions I can.
In my mesg I see this recommendation I don' t get how to do it
How do I use the insmod option for specifying a card?

[ 15.440812] em28xx #0: Your board has no unique USB ID and thus need a hint to be detected.
[ 15.440818] em28xx #0: You may try to use card=<n> insmod option to workaround that.

I also get

[ 15.021392] bttv: Unknown parameter `alsa'
[ 15.047391] bttv: Unknown parameter `alsa'

Perhaps I have uninstalled alsa. Can my Karmic live only with pulseaudio, anyway (no alsa)?

I have a friend that I installed Karmic on 2 different computers. One is dual-booting Win Vista and the other is a stand-alone install. TVTime has no sound on either. There is definitely an issue that occurred between Jaunty and Karmic to break TVTime. The obvious culprit would seem to be Pulse Audio. In any event, seems I'll just have to wait until Ubuntu 10.04 is released and hope that this issue igets resolved by then. Shame to have to wait until April, 2010 just to get TVTime working properly. Oh well. The nature of the beast, I suppose.

 As a side note, TVTime sound is not working in Linux Mint 8 either. Though, I guess, that should be no real surprise as it is based on Ubuntu Karmic.

On Thu, Nov 26, 2009 at 12:10 PM, Uncle Spellbinder
<email address hidden> wrote:
> has no sound on either. There is definitely an issue that occurred
> between Jaunty and Karmic to break TVTime. The obvious culprit would
> seem to be Pulse Audio. In any event, seems I'll just have to wait until

Please get a verbose log for PA when you attempt to load
module-loopback. (See https://wiki.ubuntu.com/PulseAudio/Log).

OK, now I lost my mind!
Now I don' t have video signal either. Something is wrong with bttv and I don' t know what I did to mess it up like this.

petros@petros-desktop:~$ dmesg | grep bttv
[ 15.136697] bttv: Unknown parameter `alsa'
[ 15.164271] bttv: Unknown parameter `alsa'
petros@petros-desktop:~$ dmesg | grep bttv0
petros@petros-desktop:~$ dmesg | grep tuner
[ 15.256403] em28xx #0: found i2c device @ 0xc2 [tuner (analog)] (This is KWorld DVBT310U - USB)
[ 15.796019] tuner 1-0061: chip found @ 0xc2 (em28xx #0)
[ 15.958611] xc2028 1-0061: type set to XCeive xc2028/xc3028 tuner

It does not show my other (PCI) tuner PCTV Rave, like before...
<a rel="nofollow" href="http://ubuntuforums.org/showpost.php?p=8335691&postcount=21">http://<wbr></wbr>ubuntuforums.<wbr></wbr>org/showthread.<wbr></wbr>php?p=8335691</a>

Please help!

Strategos (psamaras1) wrote :

Here is my pulseverbose.log as Daniel T Chen asked.

>>Please get a verbose log for PA when you attempt to load
>>module-loopback. (See https://wiki.ubuntu.com/PulseAudio/Log).

I hope it helps!

Fitch (brafferton) wrote :

Karmic with PC TV Rave PCI card
I just get a constant hiss with it.
Where is pulseverbose.log kept?

Using dmesg I get:
[ 23.512081] Linux video capture interface: v2.00
[ 23.565713] bttv: driver version 0.9.18 loaded
[ 23.565718] bttv: using 8 buffers with 2080k (520 pages) each for capture
[ 23.565794] bttv: Bt8xx card found (0).
[ 23.566175] ACPI: PCI Interrupt Link [APC2] enabled at IRQ 17
[ 23.566182] alloc irq_desc for 17 on node -1
[ 23.566184] alloc kstat_irqs on node -1
[ 23.566197] bttv 0000:04:08.0: PCI INT A -> Link[APC2] -> GSI 17 (level, low) -> IRQ 17
[ 23.566208] bttv0: Bt878 (rev 17) at 0000:04:08.0, irq: 17, latency: 16, mmio: 0xfdaff000
[ 23.566423] bttv0: detected: Pinnacle PCTV [card=39], PCI subsystem ID is 11bd:0012
[ 23.566426] bttv0: using: Pinnacle PCTV Studio/Rave [card=39,autodetected]
[ 23.566429] IRQ 17/bttv0: IRQF_DISABLED is not guaranteed on shared IRQs
[ 23.566481] bttv0: gpio: en=00000000, out=00000000 in=00ffffff [init]
[ 23.571307] bttv0: i2c: checking for MSP34xx @ 0x80... not found
[ 23.572019] bttv0: pinnacle/mt: id=1 info="PAL / mono" radio=no
[ 23.572022] bttv0: tuner type=33
[ 23.785250] bttv0: audio absent, no audio device found!
[ 23.895758] tuner 2-0043: chip found @ 0x86 (bt878 #0 [sw])
[ 24.080969] tda9887 2-0043: creating new instance
[ 24.080974] tda9887 2-0043: tda988[5/6/7] found
[ 24.181527] Chip ID is not zero. It is not a TEA5767
[ 24.181611] tuner 2-0060: chip found @ 0xc0 (bt878 #0 [sw])
[ 24.260637] ACPI: PCI Interrupt Link [APCJ] enabled at IRQ 22
[ 24.260645] Intel ICH 0000:00:10.2: PCI INT C -> Link[APCJ] -> GSI 22 (level, low) -> IRQ 22
[ 24.260678] Intel ICH 0000:00:10.2: setting latency timer to 64
[ 24.298365] mt20xx 2-0060: microtune: companycode=3cbf part=42 rev=22
[ 24.299705] mt20xx 2-0060: microtune MT2050 found, OK
[ 24.302157] bttv0: registered device video0
[ 24.302185] bttv0: registered device vbi0
[ 24.302205] bttv0: PLL: 28636363 => 35468950 .. ok

and at the very bottom I get:
[33755.204027] bttv0: timeout: drop=316 irq=138115/138115, risc=322fd1dc, bits: HSYNC OFLOW FDSR

dmesg is the only command I know at the mo...

Well this is just nuts. Whether this is an issue with Karmic, Debian, TVTime or Pulse Audio - this is a sad shame. A fine app that worked well on three completely different installs of Intrepid and Jaunty on three totally different computers. Yet on all three computers with Karmic (or Mint 8 for that matter), TVTime with sound is impossible.

Hopefully Lucid will have this addressed.

I give up, back to Windows Media Center for a REAL PROPER live TV experience on a computer.

AW01545 (ricknickle) wrote :

I'm having the same problem, been having it for weeks and I thought it was my hardware.

Here's where I started: mythbuntu 9.10 distribution

I tried loading it onto an Intel 8XX-chipset based P4 system first. That one had a SB live card, a K-World Phillips 7134XX-based card, an Avermedia BT868-based PCTV card (not sure which model, lost the manual!), and a Hauppauge 1950 USB.

Video, but no sound on all three. I also found that I could record shows with mythtv but they would play back without sound, so when mythtv was capturing, it wasn't getting the audio either.

I then rebuilt using an Intel D201GLY2 motherboard (Celeron) (with built-in SigmaTel audio), thinking that a newer machine would be better. Same hardware, same distribution, same results. I did have some trouble with the video display (I mean under X-windows), so I thought maybe here again, I'd be better off with a better motherboard.

I then rebuilt using an Intel DG965OT motherboard (Core 2 Duo) (with Intel HD Audio, also by SigmaTel I think), and got the same results. Then I found this thread. I have read dozens of threads, and have found no answers, but the people on this forum seem to have the most commonality with my problem.

AW01545 (ricknickle) wrote :

One more thing: audio works fine with aplay, I forgot to mention that, and I don't believe I have pulseaudio running (because I don't have the pa-ctl stuff loaded...still digging into that.)

AW01545 (ricknickle) wrote :

I reloaded with mythbuntu 8.4.01, and although audio works fine, my video devices don't seem to be fully supported as they were under 9.10, so I am still not up.

AW01545 (ricknickle) wrote :

Ah, after going through a downgrade to 8.04 Mythbuntu, MythDora and Fedora, I went back and tried MythBuntu 9.10 again.

This time I followed advice on this page: http://www.linuxtv.org/wiki/index.php/Saa7134-alsa

And I was able to get tvtime to generate sound by using arecord piped to aplay.

Not totally satisfactory, but I'm convinced that my cards work right. Now to finetune it and get mythtv to work with it.

Thanks,

Rick

"This bug report will be marked for expiration in 57 days if no further activity occurs."

Hope this gets the attention it deserves before it "expires". A fix is in order as all these 'workarounds' and 'hacks' have not worked for me (and many others). TVTime has worked perfectly fine for me ob Jaunty and Intrepid. Karmic breaks it. There must be a fix in the works. At least I hope so.

Fitch (brafferton) wrote :

Me again
I did see an old thread relating to Mandrake which suggested adding "options tda9887 pal=i" in /etc/modprobe.d/bttv.conf.
This led to "unrecognised pal" and "unable to tune" errors in dmesg. But the speakers were wonderfully silent (I was getting fed up with the hiss), so the problem's definitely around there.

HELP!

And I wont let it expire....

xof (xof) wrote :

Hi,
I have an 'Hercules Smart TV 2 Stereo' (bttv card=100 tuner=38) and the sound disappeared after a kernel upgrade on my Dapper Drake a long time ago. I continued to use an old kernel to keep the sound going. I think the last good kernel was 2.6.15-51-386 (on Dapper Drake (6.06)). Now, I switched to Karmik Koala (9.10) with a kernel 2.6.31-16-generic and have no sound with the same /etc/modprobe.d/bttv (will add .conf next time...) and the same ~/.xawtv (as I use xawtv). (I don't know if someone can check when the 'bad' kernel appeared and if one can find a CHANGELOG somewhere (of the bttv driver?)).

Hope it helps.

xof (xof) wrote :

Addendum to #44 (sound problem appeared with kernel 2.6.15-52-386 on Dapper Drake)

Long ago seems around 11feb2008..20may2008 (?)
(according to http://changelogs.ubuntu.com/changelogs/pool/main/l/linux-source-2.6.15/linux-source-2.6.15_2.6.15-55.81/changelog )

james (jamesm51) wrote :

Actually, pactrl load-module module-loopback doesn't work anymore.

Changed in tvtime (Ubuntu):
status: Incomplete → New

Meaning pactl ? What's the strace -f (please sanitize as appropriate)?

yea, pactl, sorry. Attached is the results of $ strace -f pactl load-module module-loopback >> strace 2>&1

james (jamesm51) wrote :

Also, the arecord/aplay hack causes a considerable audio delay making the audio and video out of sync

Vitoid (vitocudd) wrote :

Hi all, First off I'm pretty new to all this, but, i managed to get the sound working. This is how:

1. in terminal run: pactl load-module module-loopback

2. Start tvtime with: tvtime | arecord -D hw:1,0 -f S16_LE -c2 -r32000 | aplay -

3. Start (install) QT Jack Control interface, setup input device as hw:1,0 and output as default, start the service, for me it produced a server error, cancel out of the error, and close all by right clicking on icon in tray. At this point the audio kicks in

I don't understand why, but this procedure ALWAYS gives me audio. Maybe someone more knowledgeable can see a fix in all this. Standing by, hoping :)

This is on Karmic with a wintv hvr 950Q.

Installed TVTime in Ubuntu 10.04 Alpha 3, still no sound. Really disappointed here. Worked so well on the same computer with Jaunty and previous versions.

MarkoSVK (markosvk) wrote :

I´m do something like this
$ arecord -l
**** Zoznam CAPTURE Hardwarových Zariadení ****
card 0: SB [HDA ATI SB], zariadenie 0: VT1708S Analog [VT1708S Analog]
  Podzariadenia: 2/2
  Subzariadenie #0: subdevice #0
  Subzariadenie #1: subdevice #1
card 2: SAA7134 [SAA7134], zariadenie 0: SAA7134 PCM [SAA7134 PCM]
  Podzariadenia: 0/1
  Subdevices #0: subdevice #0
$ tvtime | arecord -D hw:2,0 -r 32000 -c 2 -f S16_LE | aplay -
HW:2,0!!! First noumber is card id, second noumber is subdevice id
Card id is 2, Subdevice id is 0 then i insert hw:2,0.

Daniel Hahler (blueyed) on 2010-03-08
summary: - NO Audio in Tv Time using Ubuntu Karmic
+ No Audio in Tv Time using Ubuntu Karmic: not using pulseaudio
Changed in tvtime (Ubuntu):
status: New → Triaged
importance: Undecided → High
xxvirusxx (condor20-05) wrote :

I have the same problem.I update the last version of alsa but no sound in tv time. I have Winfast pvr 2000 xp rm on msi p43 neo-f motherboard using cd in connector. In other software i have sound but in tv time, zapping tv no

Rajeev Nair (rajeev) wrote :

xxvirusxx

IN a terminal type amixer and see if cd in is muted.

The exact command to activate it is somewhere in this thread above.

Matthias Simon (loc) wrote :

#25 made a solution for me ("pactl load-module module-loopback" or adding lines to /etc/pulse/default.pa) but after that I have a sound out of sync (with estimate +300ms).

Is there a way to pad that?

xxvirusxx (condor20-05) wrote :
Download full text (4.0 KiB)

Rajeev Nair

Simple mixer control 'Master',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined penum
  Playback channels: Mono
  Limits: Playback 0 - 31
  Mono: Playback 31 [100%] [0.00dB] [on]
Simple mixer control 'Headphone',0
  Capabilities: pswitch penum
  Playback channels: Front Left - Front Right
  Mono:
  Front Left: Playback [on]
  Front Right: Playback [on]
Simple mixer control 'PCM',0
  Capabilities: pvolume penum
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 255
  Mono:
  Front Left: Playback 255 [100%] [0.00dB]
  Front Right: Playback 255 [100%] [0.00dB]
Simple mixer control 'Front',0
  Capabilities: pvolume pswitch penum
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 31 [100%] [0.00dB] [on]
  Front Right: Playback 31 [100%] [0.00dB] [on]
Simple mixer control 'Front Mic',0
  Capabilities: pvolume pswitch penum
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 31 [100%] [12.00dB] [off]
  Front Right: Playback 31 [100%] [12.00dB] [off]
Simple mixer control 'Front Mic Boost',0
  Capabilities: volume penum
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 3
  Front Left: 0 [0%]
  Front Right: 0 [0%]
Simple mixer control 'Surround',0
  Capabilities: pvolume pswitch penum
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 31 [100%] [0.00dB] [on]
  Front Right: Playback 31 [100%] [0.00dB] [on]
Simple mixer control 'Center',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined penum
  Playback channels: Mono
  Limits: Playback 0 - 31
  Mono: Playback 31 [100%] [0.00dB] [on]
Simple mixer control 'LFE',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined penum
  Playback channels: Mono
  Limits: Playback 0 - 31
  Mono: Playback 31 [100%] [0.00dB] [on]
Simple mixer control 'Side',0
  Capabilities: pvolume pswitch penum
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 31 [100%] [0.00dB] [on]
  Front Right: Playback 31 [100%] [0.00dB] [on]
Simple mixer control 'Line',0
  Capabilities: pvolume pswitch penum
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 29 [94%] [9.00dB] [on]
  Front Right: Playback 29 [94%] [9.00dB] [on]
Simple mixer control 'Mic',0
  Capabilities: pvolume pswitch penum
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 31 [100%] [12.00dB] [off]
  Front Right: Playback 31 [100%] [12.00dB] [off]
Simple mixer control 'Mic Boost',0
  Capabilities: volume penum
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 3
  Front Left: 0 [0%]
  Front Right: 0 [0%]
Simple mixer control 'IEC958',0
  Capabilities: pswitch pswitch-joined penum
  Playback channels: Mono
  Mono: Playback [on]
Simple mixer control 'IEC958 Default PCM',0
  Capabilities: pswitch pswitch-joined penum
  Playback channels: Mono
  Mono: Playback [on]
Simple mixer control 'Beep',0
  Capabil...

Read more...

xxvirusxx (condor20-05) wrote :

I don`t have CD mixer and I think the bttv driver is loaded wrong in kernel.

xxvirusxx (condor20-05) wrote :

The same problem with beta 1 version. No audio for tv tuner and no cd mixer.

chris (roughmouth) wrote :

This is a big problem for me. I hope someone can fix this soon.

xxvirusxx (condor20-05) wrote :

Same problem Ubuntu 10.04 beta 2.

Merel (merel469) wrote :

Same problem here. TV card known as 7134 MK2/3 also as SAA7134 is working ok with sound on same computer under Windows, using DScaler. No audio jumper wire required.

Under Ubuntu 9.10 , the Linux for masochist human beings, there is no sound. Perhaps another TV player will produce some sound ?

Merel (merel469) wrote :

A moment ago I discovered that installing Gnome ALSA MIXER solved the problem on my computer.

To all it concerns : Please try this turnaround.
Adjust the audio level in the Alsa Mixer on channel named VIDEO.

There seems however to be a slight delay between the time when the slider is moved up/down and the time that audio level starts to increase/decrease.

The keyboard volume buttons +/- should also work, but also with some time delay.

It would be nice to report your own results here.

JohnnyD' (yannis-dassiras) wrote :

The bug is fixed in lucid with 2.6.32-21 otb.

JohnnyD' (yannis-dassiras) wrote :

Please cancel my last post... The bug is still there and only works with

"tvtime | arecord -q -D hw:1,0 -r 32000 -c 2 -f S16_LE | aplay -q -"

martin_d (martin-draexler) wrote :

Tried it with a freshly installed Lucid, tvtime also has no sound.
All the workarounds with arecord/aplay or sox do not work either

martin_d (martin-draexler) wrote :

Any news on a fix?

well. Do you have smth like "bttv0: audio absent, no audio device found!" in you /var/log/kern.log? Check with
grep /var/log/kern.log "bttv0: audio absent, no audio device found"

If so, I believe it's a driver issue.

Dale Miracle (dmiracle74) wrote :

I am having the same no audio from TvTime as well.

I have a Hauppauge WinTv HVR-1800 and a realtek high definition audio (on board sound). I was running the live cd version of 10.04 64bit. The audio was working when it booted up and I heard event sounds so I know the audio driver is working. I tried every suggestion and still had no sound coming from TvTime.

However I did notice 3 things. They may be nothing though. I put the alsa mixer terminal session on my 2nd monitor and put TvTime on my other monitor. I noticed that when I change the volume in TvTime the level for the line in moved as well. That tells me it is not muted and apparently it is adjusting the volume correctly there is just no sound.

The second thing I noticed was when I had my logitech quickcam pro 5000 connected TvTime would load and immediately crash. When I unplugged the quickcam TvTime loaded fine. I do know that the quickcam is loaded as a audio device and not just video. I wonder if that has something to do it, at least for me.

The third thing I noticed is when I grep for bttv the only lines I got where that the driver was loaded but it did not list any audio. I mean, there was no mention of it not finding audio.

Rajeev Nair (rajeev) wrote :

Hi guys,

Have all of you connected the small wire which is used to connect audio out from tuner into aux / cd in on the motherboard?

Thats the easy way to get sound from tuner .

There is a way to get sound direct from tuner but i havent found out how to .

I just ask the devs for 1 small request, get tvtime to work without the cable, at least for the saa7134 chipsets its implemented in alsa module saa7134_alsa .

#69

That is the problem - if you connect the card via cable there is no CD/AUX input recognized so no audio ...

Gary M (garym) on 2010-10-17
tags: added: karmic lucid maverick regression-release
Gary M (garym) wrote :

sf #2901851 is one of a number of related sourceforge tracker entries. Others include sf #1834191 and sf #2672692 and sf #1730501 .

Claudiu Vlad (claudiu-vlad) wrote :

This is very bad, because tvtime has no volume control in maverick !

One should set the volume of alsa Line mixer, having no volume in tvtime.

axelsvag (darinsson) wrote :

The problem seems still to be there, but have anyone tried it with ubuntu 10.10

My problem appeared in Maverick

tvtime has sound, but no volume mixer .

Cheers,

On Thu, Nov 4, 2010 at 4:55 PM, axelsvag <email address hidden> wrote:

> The problem seems still to be there, but have anyone tried it with
> ubuntu 10.10
>
> --
> No Audio in Tv Time using Ubuntu Karmic: not using pulseaudio
> https://bugs.launchpad.net/bugs/472770
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (660172).
>

TritBit Software (tritbit) wrote :

What about tvtime patch for alsa support?

Claudiu Vlad (claudiu-vlad) wrote :

there is a PPA, someone made it.

this guy, David, made it and he says the patched tvtime is already in Natty.
He's a great dude imho. Check this thread
https://bugs.launchpad.net/bugs/579300

On Mon, Dec 6, 2010 at 8:37 PM, shame <email address hidden> wrote:

> What about tvtime patch for alsa support?
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (660172).
> https://bugs.launchpad.net/bugs/472770
>
> Title:
> No Audio in Tv Time using Ubuntu Karmic: not using pulseaudio
>

nelex (nelekom0) wrote :

In case you get video but no sound on your tv tuner and you have sound on other devices...
Just do -> Right mouse click on your desktop > Create New > Link to Application in Properties go to Application, and in command: paste this code tvtime | arecord -D hw:1,0 -r 32000 -c 2 -f S16_LE | aplay

In case you use som other tv software in stade tvtime tipe that software name than rest of code.
Code: software name | arecord -D hw:1,0 -r 32000 -c 2 -f S16_LE | aplay

Dejan (dejan-rodiger) wrote :

Hi,

will this be fixed any time soon? This still exist on Ubuntu 12.04.
Only the following works:
tvtime | arecord -D hw:1,0 -r 32000 -c 2 -f S16_LE | aplay -

Thanks

Gary M (garym) on 2012-08-30
tags: added: precise
Richard Westcott (rjwiii) wrote :

Most of the above did not work for me ...

HOWEVER ...

I instaled gnome-alsamixer and I can get sound from the TV card (an old bttv card) when I click on the FM device in gnome-alsamixer. But doing so is only for audio. I can bring up tvtime, but I cannot control the volume at all from tvtime or from alsamixer. to turn off autio, I have to launch gnome-alsamixer again and turn it off.

PLEASE FIX THIS SOON!

I'm using Kununtu 12.04.

James Andrew Davis (davis-nf) wrote :

SOLVED!

I had trouble with my tvtime too. HVR-850 sent a video, but there was no audio. The volume was set at 0 and would not move.

The solution I found was here:
http://kimbriggs.com/computers/computer-notes/linux-notes/tvtime-volume-notes.file

---------------------------------------

In a nutshell, type:
  sudo gedit /etc/tvtime/tvtime.xml
and change the line:
  <option name="MixerDevice" value="/dev/mixer:vol"/>

So, my tvtime.xml now reads:
  <option name="MixerDevice" value="HVR850:vol"/>

The OLD code used to read:
  <option name="MixerDevice" value="default/Line"/>

Cristiano Mendonça (critcris) wrote :

Thanks!!!

It solves!!!

Here is what I did in 9.04 :

tvtime | arecord -D hw:1,0 -r 32000 -c 2 -f S16_LE | aplay -

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.